Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Can't emerge kipi-plugins-9999
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Sun Mar 13, 2016 9:21 am    Post subject: Can't emerge kipi-plugins-9999 Reply with quote

Just trying to install digikam-5 beta, but it fails, because kipi-plugins won't install.
System is ~amd64 with kde-overlay. This should be the relevant snippet from kipi-plugins:

Code:

emerge -av kipi-plugins
[ebuild  N    *] media-plugins/kipi-plugins-9999:5::kde  USE="phonon -calendar -debug -expoblending -flashexport -handbook -mediawiki -panorama {-test} -viewers -vkontakte"

----------------

/var/tmp/portage/media-plugins/kipi-plugins-9999/work/kipi-plugins-9999/common/libkipiplugins/widgets/kpimageslist.cpp: In member function ‘bool KIPIPlugins::KPImagesList::isRawFile(const QUrl&) const’:
/var/tmp/portage/media-plugins/kipi-plugins-9999/work/kipi-plugins-9999/common/libkipiplugins/widgets/kpimageslist.cpp:823:39: error: ‘class KIPI::Interface’ has no member named ‘rawFiles’
     QString   rawFilesExt = d->iface->rawFiles();
                                       ^
common/libkipiplugins/CMakeFiles/KF5kipiplugins.dir/build.make:259: recipe for target 'common/libkipiplugins/CMakeFiles/KF5kipiplugins.dir/widgets/kpimageslist.cpp.o' failed
make[2]: *** [common/libkipiplugins/CMakeFiles/KF5kipiplugins.dir/widgets/kpimageslist.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
/var/tmp/portage/media-plugins/kipi-plugins-9999/work/kipi-plugins-9999/common/libkipiplugins/dialogs/kpimagedialog.cpp: In constructor ‘KIPIPlugins::KPImageDialog::KPImageDialog(QWidget*, bool, bool)’:
/var/tmp/portage/media-plugins/kipi-plugins-9999/work/kipi-plugins-9999/common/libkipiplugins/dialogs/kpimagedialog.cpp:316:30: error: ‘class KIPI::Interface’ has no member named ‘rawFiles’
         rawFiles = d->iface->rawFiles();
                              ^
common/libkipiplugins/CMakeFiles/KF5kipiplugins.dir/build.make:331: recipe for target 'common/libkipiplugins/CMakeFiles/KF5kipiplugins.dir/dialogs/kpimagedialog.cpp.o' failed
make[2]: *** [common/libkipiplugins/CMakeFiles/KF5kipiplugins.dir/dialogs/kpimagedialog.cpp.o] Error 1
make[2]: Leaving directory '/var/tmp/portage/media-plugins/kipi-plugins-9999/work/kipi-plugins-9999_build'
CMakeFiles/Makefile2:226: recipe for target 'common/libkipiplugins/CMakeFiles/KF5kipiplugins.dir/all' failed
make[1]: *** [common/libkipiplugins/CMakeFiles/KF5kipiplugins.dir/all] Error 2
make[1]: Leaving directory '/var/tmp/portage/media-plugins/kipi-plugins-9999/work/kipi-plugins-9999_build'
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
 * ERROR: media-plugins/kipi-plugins-9999::kde failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=media-plugins/kipi-plugins-9999::kde'`,
 * the complete build log and the output of `emerge -pqv '=media-plugins/kipi-plugins-9999::kde'`.
 * The complete build log is located at '/var/tmp/portage/media-plugins/kipi-plugins-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-plugins/kipi-plugins-9999/temp/environment'.
 * Working directory: '/var/tmp/portage/media-plugins/kipi-plugins-9999/work/kipi-plugins-9999_build'
 * S: '/var/tmp/portage/media-plugins/kipi-plugins-9999/work/kipi-plugins-9999'

_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7977
Location: Austria

PostPosted: Sun Mar 13, 2016 11:00 am    Post subject: Reply with quote

Most likely you will also need to rebuild libkipi-9999 before kipi-plugins-9999 can proceed.

However, if you want to install digikam-5 beta, why do you emerge kipi-plugins-9999 instead of kipi-plugins-5.0.0_beta4?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Sun Mar 13, 2016 1:28 pm    Post subject: Reply with quote

It was like the 4th try, after changing USE flags etc.
You were right, after re-emerging libkipi, it worked. Thanks!
_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum